#
# spec file for package golang-github-golang-glog
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-github-golang-glog
Version:        0.0.0+git20141105.44145f0
Release:        3.2
Summary:        Leveled execution logs for Go
License:        Apache-2.0
Group:          Development/Languages/Other
Url:            https://github.com/golang/glog
Source:         glog-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  golang-packaging
BuildRequires:	xz
%{go_provides}

%description
This is an efficient pure Go implementation of leveled logs in the
manner of the open source C++ package google-glog.

%gosrc_package

%prep
%setup -q -n glog-%{version}

%build
%goprep github.com/golang/glog
%gobuild ...

%install
%goinstall
%gosrc

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Sun Jul 12 2015 i@marguerite.su
- initial version 0.0.0+git20141105.44145f0
